Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 218367 - Review Request: compat-guile - Guile compatibility package
Summary: Review Request: compat-guile - Guile compatibility package
Keywords:
Status: CLOSED DUPLICATE of bug 221698
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-12-04 21:24 UTC by Gérard Milmeister
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-06 10:40:59 UTC


Attachments (Terms of Use)

Description Gérard Milmeister 2006-12-04 21:24:25 UTC
Spec URL: http://math.ifi.unizh.ch/fedora/spec/compat-guile.spec
SRPM URL: http://math.ifi.unizh.ch/fedora/6/i386/SRPMS.gemi/compat-guile-1.6.7-1.src.rpm
Description:
The is a compatibility package for guile 1.6 needed to compile TeXmacs.

Comment 1 Chitlesh GOORAH 2006-12-07 08:47:18 UTC
I'll review this.
Btw, I need it too for geda packages. Good job Gérard :)

Comment 2 Chitlesh GOORAH 2006-12-07 19:30:28 UTC
#001 Parallel builds
%{?_smp_mflags} missing on make

#002 typo
Line 83
# Ouch! guile forgets to set it's onw shared lib path to use shared uninstalled

>>>> own

#003 cleanups ?
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

$RPM_BUILD_ROOT isn't defined up in the spec file ?
Is it useful ?

#004: missing url tag

#005: macro-in-%changelog
W: compat-guile macro-in-%changelog files
W: compat-guile macro-in-%changelog file
W: compat-guile macro-in-%changelog files
W: compat-guile macro-in-%changelog post
W: compat-guile macro-in-%changelog postun
W: compat-guile macro-in-%changelog attr
W: compat-guile macro-in-%changelog post
W: compat-guile macro-in-%changelog description
W: compat-guile macro-in-%changelog files
W: compat-guile macro-in-%changelog postun
W: compat-guile macro-in-%changelog PACKAGE_VERSION
W: compat-guile macro-in-%changelog attr

add a % more in front for those macros 

#007 mixed-use-of-spaces-and-tabs
W: compat-guile mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 86)

Other Rpmlints issues:
$rpmlint /home/chitlesh/rpmbuild/RPMS/i386/compat-libguile-1.6.7-1.i386.rpm
 dangling-relative-symlink
W: compat-libguile dangling-relative-symlink /usr/share/guile/slib ../../share/slib
E: compat-libguile non-standard-executable-perm /usr/share/guile/1.6/scripts/c2x
0555
E: compat-libguile non-standard-executable-perm
/usr/share/guile/1.6/scripts/scan-md-module 0555
E: compat-libguile non-standard-executable-perm
/usr/share/guile/1.6/scripts/slurp 0555
E: compat-libguile non-standard-executable-perm
/usr/share/guile/1.6/scripts/make-module-catalog 0555
E: compat-libguile non-standard-executable-perm
/usr/share/guile/1.6/scripts/PROGRAM2 0555

$rpmlint /home/chitlesh/rpmbuild/RPMS/i386/compat-libguile-devel-1.6.7-1.i386.rpm
W: compat-libguile-devel no-dependency-on compat-libguile

Fix those, I'll approve it, However it builds successfully under mock.



Comment 3 Gérard Milmeister 2006-12-09 16:01:21 UTC
I have fixed most of the above.
* The symlink to slib does not dangle anymore oncen the package is installed,
since  the slib package is required.
* Most warnings about the macros in changelog are spurious, since they are not
macros, but section headers. They appear correctly in the changelog of the package.

http://math.ifi.unizh.ch/fedora/6/i386/SRPMS.gemi/compat-guile-1.6.7-2.src.rpm


Comment 4 Gérard Milmeister 2006-12-12 22:07:37 UTC
TeXmacs, the package for which I needed compat-guile, supports in its new
version guile 1.8, so my interest in a compat-guile package has all but
vanished. It would be better if someone who needs it takes up the request.

Comment 5 Mamoru TASAKA 2006-12-13 02:39:57 UTC
Chitlesh, that you want a new "reviewer" means 
you want to take over this package?

Comment 6 Chitlesh GOORAH 2006-12-13 06:59:17 UTC
Yes, I'll take over this package.

Comment 7 Mamoru TASAKA 2006-12-13 07:14:42 UTC
(In reply to comment #6)
> Yes, I'll take over this package.

Well, then please
* once close this bug as NOTABUG and make this report
  block bug 201449
* request a new review request (of which the reporter
  is you)
* then, change the status of this bug from NOTABUG to
  DUPLICATE of your new review request (this time
  I can notice that this bug is marked as a duplicate)

Then I will review your review request.

Comment 8 Chitlesh GOORAH 2007-01-06 10:44:54 UTC
http://fedoraproject.org/wiki/Extras/Policy/StalledReviews

*** This bug has been marked as a duplicate of 221698 ***


Note You need to log in before you can comment on or make changes to this bug.